%% load the data
T=readtable('data.csv');

%% select only the subjects of the EP group
EP_subjects = strcmp(T.group,'EP');

% VOT values of EP subjects
EP_DDKR = T.DDKR(EP_subjects);

%% select only the subjects with DDKR less than 4 syllables/s
slow_DDKR = T.DDKR < 4;

%% select only EP group with slow DDKR
slow_EP_subjects = EP_subjects & slow_DDKR;

% check it out on DDKR values
slow_EP_DDKR = T.DDKR(slow_EP_subjects);
disp(slow_EP_DDKR);

% check it out on the whole table
slow_EP_table = T(slow_EP_subjects,:);
disp(slow_EP_table);

%% select only EP subjects with known speech item, i.e., not NaN
known_EP_speech = ~isnan(T.Speech);

% check it out
known_EP_speech_table = T(known_EP_speech,:);
disp(known_EP_speech_table);

%% select only EP subjects with slow DDKR or speech item higher than 0
dysarthric = T.Speech > 0;
EP_subjects_slow_or_dysarthric = EP_subjects & (slow_DDKR | dysarthric);

% check it out
EP_slow_or_dysarthric_table = T(EP_subjects_slow_or_dysarthric,:);
disp(EP_slow_or_dysarthric_table);
